Subject: Re: bug#7873: Automake should support adding to DejaGnu site.exp
From: Stefano Lattarini <[email-masked]>
To: Rainer Orth <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 22 Oct 2011 20:53:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wednesday 19 October 2011, Stefano Lattarini wrote:
> Reference:
>  <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7873>
> 
> I've rebased the branch on the "fixup" commit `v1.11-250-g0c0b402', and
> I will merge it to maint (and push) in a couple of days if there is no
> objection by then.  The updated patch is attached, for reference.
> 
I've added the NEWS entry below, and pushed.  I'm thus closing this bug
report.

Regards,
  Stefano

-*-*-

diff --git a/NEWS b/NEWS
index 6bc0d6f..e42d53c 100644
--- a/NEWS
+++ b/NEWS
@@ -5,6 +5,10 @@ New in 1.11.0a:
   - The `lzma' compression scheme and associated automake option `dist-lzma'
     is obsoleted by `xz' and `dist-xz' due to upstream changes.
 
+  - When using DejaGnu-based testsuites, the user can extend the `site.exp'
+    file generated by automake-provided rules by defining the special make
+    variable `$(EXTRA_DEJAGNU_SITE_CONFIG)'.
+
 Bugs fixed in 1.11.0a:
 
 * Bugs introduced by 1.11: